## celt 0.8.1

=== debian/changelog ===
celt (0.8.1-1) unstable; urgency=low

  * Non-maintainer upload.
  * celt-0.8.1

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Sun, 25 Mar 2012 03:56:53 +0400

celt (0.7.1-1) unstable; urgency=low

  * The "correlation does not imply causation" release.
    To celebrate the first release of celt that is actually compatible with a
    a previously distributed version, we've renamed the library!
  * libcelt is now libcelt0.  The intent from upstream being to make it clear
    that one of the above was an accident, and unlikely to be repeated soon.
    On the bright side, this means we should be getting proper soname bumps
    from now on when the code ABI changes.  The bitstream format still remains
    entirely fluid though, applications which communicate with a peer _must_
    check that the formats are compatible at runtime.  It may, and indeed is
    very likely to, continue changing with every release.
  * By some small miracle, this should be an entirely painless transition
    though.  The new package doesn't conflict with the existing one, and all
    rdeps except mumble will switch to the new package with a binNMU, but not
    be broken in the meantime.  They use the .pc file provided, and have been
    build tested.  The mumble package is waiting on this one before it can work
    properly anyway, so a fix for that is just waiting for this to get through
    the NEW queue first now.
  * The new PLC is reported to be working Really Well.

 -- Ron Lee <ron@debian.org>  Wed, 20 Jan 2010 18:31:33 +1030

celt (0.7.0-1) unstable; urgency=low

  * Another day, another bitstream format.  Closes: #554559
  * Drop the IETF drafts for now.  Better to leave worrying about the
    paperwork for this until we have some documents that aren't actually
    supposed to expire in less than the life of a distro release.
    Closes: #538990 for now.  If you really need to reference them, then
    you should probably be tracking git anyhow, as they should be changing
    while the codec evolves too.

 -- Ron Lee <ron@debian.org>  Sat, 07 Nov 2009 17:48:35 +1030

celt (0.6.1-1) unstable; urgency=low

  * New upstream release.  Closes: #511163

 -- Ron Lee <ron@debian.org>  Sun, 26 Jul 2009 05:16:42 +0930

celt (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Ron Lee <ron@debian.org>  Sat, 26 Jul 2008 23:21:35 +0930

celt (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Ron Lee <ron@debian.org>  Sat, 17 May 2008 04:31:42 +0930

celt (0.3.0-1) unstable; urgency=low

  * Initial release.  Closes: #474392

 -- Ron Lee <ron@debian.org>  Sat, 05 Apr 2008 03:07:18 +0930
