=== debian/control ===
Source: celt
Section: sound
Priority: optional
Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 8), libogg-dev
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.2
Homepage: http://www.celt-codec.org
Vcs-Git: git://git.debian.org/users/ron/celt.git
Vcs-Browser: http://git.debian.org/?p=users/ron/celt.git;a=summary

Package: celt
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: The CELT codec command line tools
 CELT is an experimental audio codec for use in low-delay communication.
 .
 CELT stands for "Code-Excited Lapped Transform". It applies some of the CELP
 principles, but does everything in the frequency domain, which removes some of
 the limitations of CELP. CELT is suitable for both speech and music and
 currently features:
 .
  * Ultra-low latency (typically from 3 to 9 ms)
  * Full audio bandwidth (44.1 kHz and 48 kHz)
  * Stereo support
  * Packet loss concealment
  * Constant bit-rates from 32 kbps to 128 kbps and above
  * A fixed-point version of the encoder and decoder
 .
 The CELT codec is meant to close the gap between Vorbis and Speex for
 applications where both high quality audio and low delay are desired.
 .
 This package provides the celtenc and celtdec command line tools for encoding
 and decoding.

Package: libcelt0-1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: The CELT codec runtime library
 CELT is an experimental audio codec for use in low-delay communication.
 .
 CELT stands for "Code-Excited Lapped Transform". It applies some of the CELP
 principles, but does everything in the frequency domain, which removes some of
 the limitations of CELP. CELT is suitable for both speech and music and
 currently features:
 .
  * Ultra-low latency (typically from 3 to 9 ms)
  * Full audio bandwidth (44.1 kHz and 48 kHz)
  * Stereo support
  * Packet loss concealment
  * Constant bit-rates from 32 kbps to 128 kbps and above
  * A fixed-point version of the encoder and decoder
 .
 The CELT codec is meant to close the gap between Vorbis and Speex for
 applications where both high quality audio and low delay are desired.
 .
 This package provides the celt runtime library.

Package: libcelt-dev
Section: libdevel
Architecture: any
Depends: libcelt0-1 (= ${binary:Version}), ${misc:Depends}
Suggests: pkg-config
Description: The CELT codec library development files
 CELT is an experimental audio codec for use in low-delay communication.
 .
 CELT stands for "Code-Excited Lapped Transform". It applies some of the CELP
 principles, but does everything in the frequency domain, which removes some of
 the limitations of CELP. CELT is suitable for both speech and music and
 currently features:
 .
  * Ultra-low latency (typically from 3 to 9 ms)
  * Full audio bandwidth (44.1 kHz and 48 kHz)
  * Stereo support
  * Packet loss concealment
  * Constant bit-rates from 32 kbps to 128 kbps and above
  * A fixed-point version of the encoder and decoder
 .
 The CELT codec is meant to close the gap between Vorbis and Speex for
 applications where both high quality audio and low delay are desired.
 .
 This package provides the celt library headers and development files.

Package: celt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: celt
Description: Documentation for the CELT audio codec library
 CELT is an experimental audio codec for use in low-delay communication.
 .
 CELT stands for "Code-Excited Lapped Transform". It applies some of the CELP
 principles, but does everything in the frequency domain, which removes some of
 the limitations of CELP. CELT is suitable for both speech and music and
 currently features:
 .
  * Ultra-low latency (typically from 3 to 9 ms)
  * Full audio bandwidth (44.1 kHz and 48 kHz)
  * Stereo support
  * Packet loss concealment
  * Constant bit-rates from 32 kbps to 128 kbps and above
  * A fixed-point version of the encoder and decoder
 .
 The CELT codec is meant to close the gap between Vorbis and Speex for
 applications where both high quality audio and low delay are desired.
 .
 This package provides the celt documentation
