## celt 0.11.1

=== debian/changelog ===
celt (0.11.1-1) unstable; urgency=low

  * Non-maintainer upload.
  * celt-0.11.1

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Sun, 25 Mar 2012 04:36:56 +0400
