=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  This package provides the celtenc and celtdec command line tools for encoding
  and decoding.
 
-Package: libcelt0-1
+Package: libcelt0-2
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -61,7 +61,7 @@
 Package: libcelt-dev
 Section: libdevel
 Architecture: any
-Depends: libcelt0-1 (= ${binary:Version}), ${misc:Depends}
+Depends: libcelt0-2 (= ${binary:Version}), ${misc:Depends}
 Suggests: pkg-config
 Description: The CELT codec library development files
  CELT is an experimental audio codec for use in low-delay communication.
