=== debian/rules ===
#!/usr/bin/make -f
# Derived from:
# Sample debian/rules that uses debhelper,
# GNU copyright 1997 by Joey Hess.
# Copyright Ron Lee 2003, 2004, 2007, 2008

SHELL = /bin/bash

NUM_CPUS = $(shell getconf _NPROCESSORS_ONLN 2>/dev/null)
PARALLEL = $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS    = -j$(or $(PARALLEL),$(NUM_CPUS),1)


#export DH_VERBOSE=1
export DH_OPTIONS

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


objdir := objs


clean:
	dh_testdir
	dh_testroot
	$(RM) *-stamp
	$(RM) -r $(objdir) doc
	dh_clean


$(objdir)/config.status: configure
	dh_testdir
	mkdir -p $(objdir)
	cd $(objdir) &&	../configure --host=$(DEB_HOST_GNU_TYPE)	\
				     --build=$(DEB_BUILD_GNU_TYPE)	\
				     --prefix=/usr

build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: $(objdir)/config.status
	dh_testdir
	$(MAKE) $(NJOBS) -C $(objdir)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	mkdir -p doc
	doxygen Doxyfile
	touch $@


install: install-arch install-indep

install-arch: install-arch-stamp
install-arch-stamp: build-arch
	dh_testdir
	cd $(objdir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	touch $@

install-indep: build-indep


binary: binary-indep binary-arch

binary-indep: DH_OPTIONS = -i
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS = -a
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
#       We should relax the -V later when this stabilises more, but right now
#       it is expected that the bitstream format if not the API will be changing
#       quite rapidly still for the forseeable future.
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


.PHONY: clean build build-arch build-indep install install-arch install-indep \
	binary binary-arch binary-indep
